Subject: Re: [i2rs] i2rs at IETF 86: RIB manipulation assumption

From: Russ White <[email-masked]>
Date: Mon, 25 Feb 2013 18:40:41 -0500

(moving this on list)

> I think you've provided a excellent definition, although the phrasing
> needs some clarification :
> 
> ====
> 
> I2RS is a set of protocols that allow a process running off box (a
> controller) to directly interact with the configuration and routing
> table(s) of a router to implement policy which impacts the routing table
> (not the forwarding table) of that router. I2RS uses standardized APIs
> to inject policies that interact with locally configured policy and
> routing information within the normal processes and policy mechanisms of
> each router acting as a client of the controller.
> 
> ====
> 
> This can be interpreted as:
> 
> (1)I2RS uses standardized APIs to inject:
>    (1a) policies that interact with locally configured policy
>    (1b) routing information within the normal processes of each router
> 
> OR
> 
> (2) I2RS uses standardized APIs to inject:
>    (2a) policies that:
>       (2ai)  interact with locally configured policy within the normal
> policy mechanism
>       (2aii) interact with routing information within the normal routing
> processes
> 
> 
> 
> I'm assuming you intended to convey the former. 
> 
> I think 'normal' also requires some clarification.  

Agreed...

It would be good to get a definition nailed down (but see my other
message on router models, which might help in building such a
definition, _if_ it makes sense at all).

:-)

Russ